Loading...
Searching...
No Matches
AVTimecode Struct Reference

`#include <libavutil/timecode.h>`

## Data Fields

int | start
| timecode frame start (first base frame number)
uint32_t | flags
| flags such as drop frame, +24 hours support, ...
AVRational | rate
| frame rate in rational form
unsigned | fps
| frame per second; must be consistent with the rate field

## Detailed Description

Definition at line 41 of file timecode.h.

## Field Documentation

## start

int AVTimecode::start

timecode frame start (first base frame number)

Definition at line 42 of file timecode.h.

## flags

uint32_t AVTimecode::flags

flags such as drop frame, +24 hours support, ...

Definition at line 43 of file timecode.h.

## rate

AVRational AVTimecode::rate

frame rate in rational form

Definition at line 44 of file timecode.h.

## fps

unsigned AVTimecode::fps

frame per second; must be consistent with the rate field

Definition at line 45 of file timecode.h.

The documentation for this struct was generated from the following file:

- libavutil/timecode.h